Skip to navigation

Get Access Token

Use Access Tokens to access Calendly resources on behalf of an authenticated user.

To make a call to this endpoint:

  • Include client_id as a body parameter.

  • For the authorization_code grant, include the code_verifier that matches the code_challenge you sent to the authorization endpoint.

  • If your app runs on a server, also pass client_id and client_secret with the Basic HTTP Authorization header.

Note:

  • Access Tokens expire after 2 hours.

  • Refresh Tokens don’t expire until they are used.

  • Only 8 oauth tokens per user can be requested within a span of 1 minute

Authentication

AuthorizationBasic

Use client_id for username and client_secret for password.

Request

This endpoint expects an object.
Web Token Request with Authorization CodeobjectRequired
The Authorization Code token request for web apps.
OR
Web Token Request with Refresh TokenobjectRequired
The Refresh Token request for a token for web apps.
OR
Native Token Request with Code VerifierobjectRequired
OR
Native Token Request with Refresh TokenobjectRequired
The Refresh Token request for a token for native apps.

Response

OK
token_typeenum

The token type (currently this is always “Bearer”)

Allowed values:
access_tokenstring
The access token provided in the response
refresh_tokenstring
The refresh token provided in the response
created_atdouble
The UNIX timestamp in seconds when the event was created
expires_indouble
The number of seconds until the access token expires
ownerstringformat: "uri"

A link to the resource that owns the token (currently, this is always a user)

organizationstringformat: "uri"
A link to the owner's current organization
scopestringOptional
The scope of the access request

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error